/*******************************************************************
 *
 *	Copyright (c) 1994-1999 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File: pwdlg.h
 *	Revision:  $Id: pwldlg.h,v 1.2 2002/10/29 07:11:46 crypt Rel-1.6-3 $
 *	Created:
 *	Description: declaration of procedures that support 
 *		dialog for accepting user's password and 
 *		support generation of seed value for 
 *		random key generation
 *
 *******************************************************************/


#ifndef __PWDLG
#define __PWDLG

extern DWORD GetPassword( 
				char *text,	/* Some information Text, for example - filename of the container */
				char *caption,	/* Caption of the "get password" dialog window */
				char   *password 
				);

extern DWORD GetPasswordWithVerification(
				char *text,	/* Some information Text, for example - filename of the container */
				char *caption,	/* Caption of the "get password" dialog window */
				char *password 
				);

DWORD GetSeedValue( 
			BYTE  *seed, 
			DWORD seedLength
			);

#endif /* __PWDLG */
