/*******************************************************************
*
*      Copyright (c) 1994-1999 Jetico, Inc., Finland
*      All rights reserved.
*
*      File: bccreate.c
*      Revision: $Id: misc.h,v 1.8 2005/05/14 07:39:59 crypt Rel-1.6-3 $
*      Created:
*      Description: implementation of miscelleneous routines
*
*******************************************************************/


#ifndef _MISC_H
#define _MISC_H


#define MAX_DEV_PATH 32


long long  string_to_long(char *str); 
char* strtolower(char *str);
char* getFStypeById(unsigned int id);
int   getIdByFStype(char *fstype);
char* FindFreeDevice();
char* FindMountedDevice(char *arg);
void progress(char *s, int p);
void msg(FILE *fd, const char *format, ...);
void usage(FILE *fd);
int run_process(char *args[]);
int is_valid_container(char *filename);
void SetSignalHandlers(void (*handler)(int));
int ask_y_n(char *string);
int IsOwner(uid_t uid, char* arg);
int get_uid_by_name(const char *name);
int get_gid_by_name(const char *name);
int modules_loaded();
int lock_container(char *name);
int unlock_container(char *name);
int GetRandomSeed( char *seed, int seedLength );
int open_bc_dev(char *dev, int d);
int get_priv(unsigned long drop_pid);
unsigned int check_msdos_partition(int device_fd, int *flags);

int LoadKeygens();
int UnLoadKeygens();
int UseSha1();
int UseSha256();

#endif /* _MISC_H */

 

