#!/bin/sh
#
#  $Id: uninstall.sh,v 1.3 2005/05/14 10:33:05 crypt Rel-1.6-3 $

rmmod bc_gost 2>/dev/null
rmmod bc_blowfish 2>/dev/null
rmmod bc_twofish 2>/dev/null
rmmod bc_des 2>/dev/null
rmmod bc_bf448 2>/dev/null
rmmod bc_bf128 2>/dev/null
rmmod bc_3des 2>/dev/null
rmmod bc_idea 2>/dev/null
rmmod bc_rijn 2>/dev/null
rmmod bc_cast 2>/dev/null                                                                                                       
rmmod bc 2>/dev/null


for i in \
    /usr/bin/bctool \
    /usr/lib/libkgsha.so \
    /usr/lib/libkgsha256.so \
    /etc/bestcrypt \
    /etc/bc.conf \
    /etc/rc.d/init.d/bcrypt \
    /etc/rc.d/rc2.d/S85bcrypt \
    /etc/rc.d/rc3.d/S85bcrypt \
    /etc/rc.d/rc4.d/S85bcrypt \
    /etc/rc.d/rc5.d/S85bcrypt \
    /etc/rc.d/rc0.d/K98bcrypt \
    /etc/rc.d/rc1.d/K98bcrypt \
    /etc/rc.d/rc6.d/K98bcrypt \
    /etc/init.d/bcrypt \
    /etc/rc2.d/S85bcrypt \
    /etc/rc3.d/S85bcrypt \
    /etc/rc4.d/S85bcrypt \
    /etc/rc5.d/S85bcrypt \
    /etc/rc0.d/K98bcrypt \
    /etc/rc1.d/K98bcrypt \
    /etc/rc6.d/K98bcrypt \
    /usr/man/man8/bctool.8 \
    /usr/share/man/man8/bctool.8 \
    /lib/modules/`uname -r`/block/bc.o \
    /lib/modules/`uname -r`/block/bc_*.o \
    /lib/modules/`uname -r`/kernel/drivers/block/bc.o \
    /lib/modules/`uname -r`/kernel/drivers/block/bc_*.o \
    /dev/bcrypt0 \
    /dev/bcrypt1 \
    /dev/bcrypt2 \
    /dev/bcrypt3 \
    /dev/bcrypt4 \
    /dev/bcrypt5 \
    /dev/bcrypt6 \
    /dev/bcrypt7 \
    /dev/bcrypt8 \
    /dev/bcrypt9 \
    /dev/bcrypt10 \
    /dev/bcrypt11 \
    /dev/bcrypt12 \
    /dev/bcrypt13 \
    /dev/bcrypt14 \
    /dev/bcrypt15;
do 
    if [ -e $i ]; then  
	echo Removing $i
	rm -f $i 
    fi
done

