Summary: Cryptography File Systems
Name: BestCrypt
Version: 1.6
Release: 3
Group: Utilities/System
Source: bcrypt-%{version}-%{release}.tar.gz
Packager: Jetico, Inc.
Vendor: Jetico, Inc.
License: Jetico, Inc.
URL: http://www.jetico.com/
BuildRoot: /tmp/bcrypt-%{version}-%{release}-root
requires: grep gawk

%description
Transparent Encryption File Systems.

%prep
%setup -n bcrypt

%build
make 

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib
install -d -m 755 $RPM_BUILD_ROOT/dev
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man8
install -d -m 755 $RPM_BUILD_ROOT/usr/share/man/man8
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc0.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc1.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc2.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc5.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc0.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc1.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc2.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc5.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc6.d
install -d -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/block
install -d -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/block
make install root=$RPM_BUILD_ROOT

%__os_install_post
# build directory and file lists
#find $RPM_BUILD_ROOT -type d | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) %dir #g" > rpm-files
  
find $RPM_BUILD_ROOT -type f | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" > rpm-files

find $RPM_BUILD_ROOT -type l | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files
     
find $RPM_BUILD_ROOT -type b | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files

%post 
depmod -a
test -e /etc/rc.d/init.d/bcrypt && /etc/rc.d/init.d/bcrypt restart || \\
test -e /etc/init.d/bcrypt && /etc/init.d/bcrypt restart
echo
echo "See bctool(8) to get information on running BestCrypt"
echo
%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-files

%doc LICENSE README HIDDEN_PART
