//  $Id: bc_types.h,v 1.2 2002/10/29 07:11:45 crypt Rel-1.6-3 $

#ifndef __BCTYPES_H__
#define __BCTYPES_H__

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

/* windoze types */
typedef	void		VOID;
typedef	int		BOOL;
typedef unsigned char	BYTE;
typedef unsigned char	*PBYTE;
typedef unsigned char	UCHAR;
typedef unsigned char	*PUCHAR;
typedef unsigned short	WORD;
typedef unsigned short	*PWORD;
typedef unsigned short	USHORT;
typedef unsigned short	*PUSHORT;
typedef unsigned int	DWORD;
typedef unsigned int	*PDWORD;
typedef unsigned long long int	DWORDLONG;
typedef unsigned long long int	*PDWORDLONG;

/* BestCrypt size-sensitive types */
typedef char		bc8;
typedef unsigned char	bcu8;
typedef short		bc16;
typedef unsigned short	bcu16;
typedef int		bc32;
typedef unsigned int	bcu32;
typedef long long int	bc64;
typedef unsigned long long int	bcu64;

/* BestCrypt specific types */
typedef unsigned int	KEY_HANDLE;
typedef unsigned int	ALG_ID;
/* windows defines (windef.h) */
#define LOBYTE(x) ((x) & 0xFF)
#define HIBYTE(x) (((x)>>8) & 0xFF)
#define LOWORD(x) ((x) & 0xFFFF)
#define HIWORD(x) (((x)>>16) & 0xFFFF)
#define MAKEWORD(x, y) ((((y)<<8) & 0xFF00) |((x)&0xFF))
//#define MAKEDWORD(x, y) ((((y)<<16) & 0xFFFF0000) |((x)&0xFFFF))

#endif
