/*******************************************************************
 *
 *	Copyright (c) 1994-1999 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File: kg_misc.h
 *	Revision:  $Id: kg_misc.h,v 1.1 2005/05/12 09:51:39 crypt Rel-1.6-3 $
 *	Created:
 *	Description: declaration of miscelleneous procedures 
 *		to allocate, shredd and free some specific data
 *
 *******************************************************************/

#ifndef __KG_MISC
#define __KG_MISC

extern BOOL Allocate( BYTE **seed, char **password, char **newPassword, BYTE **key, BYTE **pool );
extern void Free( BYTE *seed, char *password, char *newPassword, BYTE *key, BYTE *pool );

extern void ShredData( BYTE *data, int dataLength );


#endif /* __KG_MISC */
