/*******************************************************************
 *	Copyright (c) 1994-1998 Jetico, Inc., Finland
 *	All rights reserved.
 *
 *	File:		driver/bc_cfg.h
 *
 *	Description:	bestcrypt configuration
 *
 *	Scope:		BestCrypt pseudo-device driver
 *
 *	Platforms:	Linux
 * 
 *	Author:		Nail R. Kaipov
 *
 *	Created:	15-Sep-1999
 *
 *	Revision:	
 *
 *******************************************************************/
 
#ifndef __BC_CFG_H__
#define __BC_CFG_H__

#undef __KERNEL_STRICT_NAMES
#define _LOOSE_KERNEL_NAMES

#include <linux/config.h>

#ifndef CONFIG_MODULES
#  error You must have kernel with loadable modules support
#endif

#ifdef CONFIG_SMP
#  ifndef __SMP__
#    define __SMP__
#  endif
#endif

#include <linux/version.h>

#ifndef __GENKSYMS__
#  undef MODVERSIONS
#  ifdef CONFIG_MODVERSIONS
#    define MODVERSIONS
#    if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0))
#      include <linux/modversions.h>
#      include "bc_dev.ver"
#    endif
#  endif
#endif


#define BC_VERSION_STRING "1.6"

#define BC_VERSION_MAJOR 1
#define BC_VERSION_MINOR 6
#endif /* __BC_CNF_H__ */

