#ifndef __BC_GOST
#define __BC_GOST

#include "bc_types.h"

#define SERVICE_NAME	"BC_Gost"
#define DISPLAY_NAME    "GOST"
#define BLOCK_LENGTH	8
#define ALGORITHM_ID	0xaa

// Key length in bits
#define KEY_LENGTH          (256)
#define KEY_LENGTH_EXTENDED (1024)

#define DRIVER_MAJOR_VERSION	1
#define DRIVER_MINOR_VERSION	1


BOOL
KeyExtend( PUCHAR KeySource,          // 8  32-bit dwords
           PDWORD KeyDestination );   // 32 32-bit dwords


VOID
Encrypt( DWORD *IVector, 
         DWORD *KeyAdress,
         DWORD *SrcBuffer,
         DWORD *DstBuffer,
         DWORD Length );    // in bytes

VOID
Decrypt( DWORD *IVector, 
         DWORD *KeyAdress,
         DWORD *SrcBuffer,
         DWORD *DstBuffer,
         DWORD Length );    // in bytes

#endif

