/*******************************************************************
*
*      Copyright (c) 1994-1999 Jetico, Inc., Finland
*      All rights reserved.
*
*      File: bccreate.c
*      Revision: $Id: config.h,v 1.3 2002/10/29 07:11:31 crypt Rel-1.6-3 $
*      Created:
*      Description: implementation of config reading routine
*
*******************************************************************/
 


#ifndef _CONFIG_H
#define _CONFIG_H

#ifndef CONFIG_FILE
# define CONFIG_FILE "/etc/bc.conf"
#endif //CONFIG_FILE


#define NO_ERROR	0
#define FATAL_ERROR	-301
#define NO_MEM		-302

#define TOKEN_OK	NO_ERROR
#define TOKEN_FATAL	-100
#define TOKEN_TRUNC	-101
#define TOKEN_BAD	-102
#define TOKEN_EMPTY	-103

#define CONF_OK		NO_ERROR
#define CONF_BAD_FNAME	-200
#define CONF_FOPEN_ERR	-201
#define CONF_BAD_FILE	-203	


typedef struct _alg_info{
   char	*alg_name;
   char	*mod_name;
   int	id;
   int	flags;
   int	key_size;
   struct _alg_info *next;
} alg_info;

int read_conf();

alg_info *GetInfoById(int id);

alg_info *GetInfoByName(char *name);

char *GetPrefix();

#endif //_CONFIG_H

 

